## golang-github-docker-go-plugins-helpers 0.20211224

=== Makefile ===
.PHONY: all test test-local install-deps lint fmt vet

REPO_NAME = go-plugins-helpers
REPO_OWNER = docker
PKG_NAME = github.com/${REPO_OWNER}/${REPO_NAME}
IMAGE = golang:1.16

all: test

test-local: install-deps fmt lint vet
	@echo "+ $@"
	@go test -v ./...

test:
	@docker run -e GO111MODULE=off -v ${shell pwd}:/go/src/${PKG_NAME} -w /go/src/${PKG_NAME} ${IMAGE} make test-local

install-deps:
	@echo "+ $@"
	@go get -u golang.org/x/lint/golint
	@go get -d -t ./...

lint:
	@echo "+ $@"
	@test -z "$$(golint ./... | tee /dev/stderr)"

fmt:
	@echo "+ $@"
	@test -z "$$(gofmt -s -l . | tee /dev/stderr)"

vet:
	@echo "+ $@"
	@go vet ./...

=== debian/changelog ===
golang-github-docker-go-plugins-helpers (0.20211224-3) unstable; urgency=medium

  * No-change rebuild to aid testing migration

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 02 Nov 2023 18:00:26 -0400

golang-github-docker-go-plugins-helpers (0.20211224-2) unstable; urgency=medium

  * Fix binary package name

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 02 Nov 2023 07:03:17 -0400

golang-github-docker-go-plugins-helpers (0.20211224-1) unstable; urgency=medium

  * Initial release (Closes: #1054518)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 20 Oct 2023 08:02:02 -0400

=== debian/control ===
Source: golang-github-docker-go-plugins-helpers
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-coreos-go-systemd-dev,
               golang-github-docker-go-connections-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-docker-pplugins-helpers
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-docker-plugins-helpers.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/docker/go-plugins-helpers

Package: golang-github-docker-go-plugins-helpers-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-coreos-go-systemd-dev,
         golang-github-docker-go-connections-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: Helper packages to extend Docker Engine in Golang
 This package contains is a rather random collection of helpers used by tools
 that interact closely with docker source code

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_BUILDPKG := \
	github.com/docker/go-plugins-helpers/sdk \
	github.com/docker/go-plugins-helpers/volume

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
